RCCE(3)

NAME
RCCE_get - copies contents from src to target (GORY)

SYNOPSIS
#include <rcce.h>

int RCCE_get(volatile char * target,volatile char * ,src,int num_bytes,int ID);

DESCRIPTION
RCCE_get() copies the contents of the buffer pointed to by src into the location pointed to by target.

target
    Address in calling UE.s local MPB or the private memory of the calling UE that points to the data to be gotten.

src An offset that, when combined with the ID, points to the source MPB.

num_bytes
    Number of bytes to copy to the target.

ID  Rank of the target UE.

RETURN VALUE
Upon successful completion RCCE_get() returns RCCE_SUCCESS.

ERRORS
Look in rcce.h for additional error codes.

SEE ALSO
rcce.h(5)

EXAMPLE

To be supplied.